-- Cotton FiX
-- Copyright (c) Zalesny123 (2019) 

cotton_fix = {};

function cotton_fix:loadMap(name)
	
	local seedUsage = {};
	local liter = {};
	
	--This changing everything
	seedUsage[4] = 0.068; --You can change this but you do not have to
	liter[4] = 0.671; --This is very important

		
		for i, v in pairs(g_currentMission.fruitTypeManager.weedFruitType) do
		  print(i,v);
		end;
		
		for i, v in pairs(g_currentMission.fruitTypeManager.fruitTypes) do
		  
		  if liter[i] ~= nil then
		    g_currentMission.fruitTypeManager.fruitTypes[i].literPerSqm = liter[i];
		  end;
		  
		  if seedUsage[i] ~= nil then
		    g_currentMission.fruitTypeManager.fruitTypes[i].seedUsagePerSqm = seedUsage[i];
		  end;
		  
		end;

end;

--Rest of functions :)
function cotton_fix:update(dt)
end;
function cotton_fix:keyEvent(unicode, sym, modifier, isDown)
end;
function cotton_fix:deleteMap()
end;
function cotton_fix:draw()
end;
function cotton_fix:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(cotton_fix);







